### Method

# Gtk MediaStream error

#### Declaration [src]

    void
    gtk_media_stream_error (
      GtkMediaStream* self,
      GQuark domain,
      int code,
      const char* format,
      ...
    )

#### Description [src]

Sets `self` into an error state using a printf()-style format string.

This is a utility function that calls gtk_media_stream_gerror(). See that function for details.

#### Parameters

`domain` | `GQuark`
| Error domain.
`code` | `int`
| Error code.
`format` | `const char*`
| Printf()-style format for error message.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Parameters for message format.